using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("TrialRevenuesPrice")]
    public class TrialRevenuesPrice : Entity, IAuditUpdate, IAuditAdd
    {
        public Guid TrialId { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal Timepoint { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal TimepointIn24H { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal TimepointIn48H { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal Adjudication { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal AdjudicationIn24H { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal AdjudicationIn48H { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal Global { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal Training { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal Downtime { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal RefresherTraining { get; set; }

        public Guid UpdateUserId { get; set; }
        public DateTime UpdateTime { get; set; }
        public Guid CreateUserId { get; set; }
        public DateTime CreateTime { get; set; }
    }
}
